function setup() {
  createCanvas(400, 400);
  noLoop();
}

function draw() {
  
  background(0, 50); // background color 

  // Calculate the number of squares to fill the canvas
  let numSquaresX = 20; 
  let numSquaresY = 20; 

  // Calculate the size of each square
  let squareSizeX = width / numSquaresX;
  let squareSizeY = height / numSquaresY;

  for (let i = 0; i < numSquaresX; i++) {
    for (let j = 0; j < numSquaresY; j++) {
      let x = i * squareSizeX + squareSizeX / 2; // Calculate xcoordinate
      let y = j * squareSizeY + squareSizeY / 2; // Calculate ycoordinate
      let size = random(20, 60); // generate a random size for the square

      
      if ((i + j) % 2 === 0) {
        fill(255, 0, 0, 150); // Set fill color to red 
      } else {
        fill(0, 0, 255, 150); // Set fill color to blue 
      }

      
      strokeWeight(random(1, 5)); // Set a random stroke weight
      stroke(random(255), random(255), random(255), 150); // Set a random stroke color 

      
      rectMode(CENTER); // set the orign mode to the center of the square
      rect(x, y, size, size); // Draw a square with random characteristics
    }
  }
}